Cyan Web API - Version 1


POST api/deviceApplications

            Creates a DeviceApplication.
            

Request Information

Parameters

NameDescriptionAdditional information
deviceApplicationRepresentation

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "deviceId": "cd4a7c97-44d5-4224-9eee-b37bfce387e7",
  "applicationId": "479c263c-68a1-411c-a2a2-3b92dfc85d13",
  "isLicensed": true,
  "createdDateUtc": "2026-03-19T20:38:26.7992763+00:00",
  "updatedDateUtc": "2026-03-19T20:38:26.7992763+00:00"
}

application/xml, text/xml

Sample:
<DeviceApplicationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-03-19T20:38:26.7992763+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-03-19T20:38:26.7992763+00:00</UpdatedDateUtc>
  <ApplicationId>479c263c-68a1-411c-a2a2-3b92dfc85d13</ApplicationId>
  <DeviceId>cd4a7c97-44d5-4224-9eee-b37bfce387e7</DeviceId>
  <IsLicensed>true</IsLicensed>
</DeviceApplicationRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.